=== debian/changelog ===
python-biopython (1.78+dfsg-4) unstable; urgency=medium

  * Add mkdssp4.patch. (Closes: #976542)
  * Standards-Version: 4.5.1 (routine-update)
  * Bump dependency on dssp version 4.0.0.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 05 Dec 2020 23:32:40 +0100

python-biopython (1.78+dfsg-3) unstable; urgency=medium

  * Bumped ncbi-blast+ version requirement to 2.10.1-3
  * Made sure run-unit-test did not attempt memory allocation override
  * debian/not-installed made more generic for various python versions
    (Closes: #972381)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 17 Oct 2020 13:59:04 +0200

python-biopython (1.78+dfsg-2) unstable; urgency=medium

  * Bumped build requirement on ncbi-blast+ 2.10.1-2 and greater:
      - fixed building on mipsel;
      - removed patch working around makeblastdb bug in v5, now unnecessary.
  * Cleaned up patches:
      - added DEP3 description to blastdbv4-tests-filter-archs.patch;
      - reviewed and forwarded patches upstream when applicable.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Fri, 02 Oct 2020 23:18:07 +0200

python-biopython (1.78+dfsg-1) unstable; urgency=medium

  * Bumped build requirement on ncbi-blast+ 2.10.0-3 and greater,
  * Reworked the patch working around makeblastd bug in v5 to fall back in v4
    only on architectures on which corrections are yet to be implemented.
  * Removed patches applied upstream.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Improved build reproducibility

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 09 Sep 2020 22:53:13 +0200

python-biopython (1.77+dfsg-3) unstable; urgency=medium

  [ Etienne Mollier ]
  * Forwarded implementation of makeblastdb's `-blastdb_version` flag to
    upstream.  (minor change)

  [ Andreas Tille ]
  * Adapt to python3-scipy by taking over pull request
      https://github.com/biopython/biopython/pull/2998
    as quilt patch.
    Closes: #966928

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Mon, 22 Jun 2020 19:21:47 +0200

python-biopython (1.77+dfsg-2) unstable; urgency=medium

  * Declared python3-biopython breaks: cnvkit (<< 0.9.7-1~) (Closes: #962944)

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Tue, 16 Jun 2020 22:12:00 +0200

python-biopython (1.77+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Test makeblastdb using format version 4, this is to work around issues on
    32 bits CPU architectures.  Closes: #960756.

  [ Steffen Moeller ]
  * Also clean .pygtex and .pygstyle files in Doc

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Thu, 11 Jun 2020 20:10:34 +0200

python-biopython (1.76+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * debian/control: mark the -doc package as Multi-Arch: foreign

  [ Dylan Aïssi ]
  * Add upstream patch to fix tests with new NCBI BLAST DB v5 (Closes: #959587)

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 11:40:33 +0200
