=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-setuptools, python3-all
Restrictions: allow-stderr
