=== debian/changelog ===
python-biopython (1.79+dfsg-3) unstable; urgency=medium

  [ Peter Michael Green ]
  * Restrict architecture list of muscle build-dependency to reflect
    architectures where the current version of muscle is available.
    (Closes: #1006667)

  [ Étienne Mollier ]
  * d/control,d/python3-biopython.links: move from w3-dtd-mathml to slightly
    more recent w3c-sgml-lib.
    Thanks to Peter Green and Vincent Lefevre.
  * Remove d/python3-biopython.lintian-overrides; not in use anymore.

 -- Étienne Mollier <emollier@debian.org>  Sat, 05 Mar 2022 15:36:12 +0100

python-biopython (1.79+dfsg-2) unstable; urgency=medium

  * Move w3-dtd-mathml from Suggests to Depends to avoid dangling symlink
    mathml2.dtd

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 20:15:09 +0100

python-biopython (1.79+dfsg-1) unstable; urgency=medium

  * Migrate from Experimental to Unstable.
  * Mark spelling.patch as not needing forward.
    It seems that the file being package might not exists in upcoming
    Biopython versions anymore.
  * adjust-test_GraphicsBitmaps.patch: forwarded upstream.
  * d/control: breaks ncbi-acc-download (<< 0.2.7-2~)

 -- Étienne Mollier <emollier@debian.org>  Fri, 22 Oct 2021 18:10:48 +0200

python-biopython (1.79+dfsg-1~0exp0) experimental; urgency=medium

  * New upstream version
  * d/copyright: update years per LICENSE file.
  * Refresh patches:
    + mkdssp4.patch:
      - renamed from mkdssp4.path, fixing typo in the file extension,
      - skip failing test_PDB_DSSP due to mkdssp 4 too recent,
      - updated patch author's email address;
    + following renderpm upgrade, add adjust-test_GraphicsBitmaps.patch to
      properly skip again the test failing due to missing font;
    + add spelling.patch to fix new spelling-error-in-binary caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Oct 2021 12:30:51 +0200

python-biopython (1.78+dfsg-6) unstable; urgency=medium

  * d/control: bump python3-renderpm to python3-biopython dependency.
    (Closes: #995689)

 -- Étienne Mollier <emollier@debian.org>  Mon, 11 Oct 2021 22:25:02 +0200

python-biopython (1.78+dfsg-5) unstable; urgency=medium

  * d/control: update uploader address
  * d/watch: fix broken url to github
  * d{,/tests}/control: add full_suite autopkgtest (Closes: #986410)
  * Standards-Version: 4.6.0 (routine-update)
  * Use secure URI in Homepage field.

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Aug 2021 21:56:28 +0200
