## python-biopython 1.80+dfsg

=== debian/changelog ===
python-biopython (1.80+dfsg-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop nocheck profile from hevea since its also needed to create doc
    (Closes: #1036174)

  [ Lukas Märdian ]
  * avoid the python3-renderpm dependency (Closes: #1039565)

  [ Étienne Mollier ]
  * d/rules: disable install-doc target with nodoc profile.
  * d/control: enable numpy outside nocheck build profile.
  * d/*.lintian-overrides: make the spelling override more generic.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jul 2023 17:48:34 +0200

python-biopython (1.80+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Cherry-pick upstream patch to fix problems with
    numpy 1.24 (Closes: #1027253)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Dec 2022 18:52:07 +0530

python-biopython (1.80+dfsg-3) unstable; urgency=medium

  * muscle3.patch: ensure muscle3 is default even if unavailable.
    This fixes the test_doctest failure which occurs because of a
    mismatch between "muscle" and "muscle3" when none of them is
    available.
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Dec 2022 20:22:29 +0100

python-biopython (1.80+dfsg-2) unstable; urgency=medium

  * d/NEWS: fix typo in news item.
  * d/control: bring back t_coffee tests since upstream version revert.
    Closes: #1022307
  * d/control: restore muscle3 instead of plain muscle (version 5).
    Closes: #1009118
  * port_tutorial_to_muscle3.patch: add; fix doctest failures.

 -- Étienne Mollier <emollier@debian.org>  Sun, 04 Dec 2022 19:15:42 +0100

python-biopython (1.80+dfsg-1) unstable; urgency=medium

  * Migrate biopython 1.80 from experimental to unstable.
    Closes: #1024986, #1024858, #1024855, #1025014, #1025022

 -- Étienne Mollier <emollier@debian.org>  Mon, 28 Nov 2022 22:19:25 +0100

python-biopython (1.80+dfsg-1~0exp0) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Security-Contact.
  * privacy_breach_ie9.patch: refresh.
  * adjust-test_GraphicsBitmaps.patch: delete; applied upstream.
  * spelling.patch: delete; applied upstream.
  * mkdssp4.patch: delete; fixed upstream.
  * d/control: remove test dependency on problematic packages; muscle 5
    wrapping is unsupported upstream, and t_coffee suffers from segmentation
    faults documented in #1022570
  * croak-on-muscle5.patch: add; raise RuntimeError with muscle 5.
  * d/NEWS: describe incompatibility with muscle 5; also describe possible
    workarounds.
  * d/not-installed: add tree1 and other_trees.
  * d/*.lintian-overrides: refresh override.
  * debian/python3-biopython.lintian-overrides: override typo; the reported
    spelling error does not seem to match anything meaningful on the side of
    the source code.
  * d/s/lintian-overrides: indicate location of Restriction.md, source of
    Restriction.html.
  * d/copyright: bump copyright years.
  * muscle3.patch: add; default to use muscle3 command if available.
    This is in preparation of the availability of a dedicated muscle3
    package with the explicitly versioned command, since muscle 5 is a very
    different program but can be installed in parallel.

 -- Étienne Mollier <emollier@debian.org>  Thu, 24 Nov 2022 18:39:22 +0100
