=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
-               python3-numpy <!nocheck>,
+               python3-numpy,
                flex,
                python3-reportlab <!nocheck>,
-               hevea <!nocheck>,
+               hevea,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-fonts-recommended,
@@ -25,7 +25,7 @@
                emboss <!nocheck>,
                fasttree <!nocheck>,
                mafft <!nocheck>,
-               muscle [i386 amd64 x32] <!nocheck>,
+               muscle3 [i386 amd64 x32] <!nocheck>,
                ncbi-blast+ <!nocheck>,
                phylip <!nocheck>,
                phyml [any-amd64 any-i386] <!nocheck>,
@@ -37,7 +37,6 @@
                python3-mmtf <!nocheck>,
                python3-pil <!nocheck>,
                python3-rdflib <!nocheck>,
-               python3-renderpm <!nocheck>,
                python3-psycopg2 <!nocheck>,
                python3-pygments <!nocheck>,
                python3-scipy <!nocheck>,
@@ -47,7 +46,7 @@
                samtools <!nocheck>,
                t-coffee <!nocheck>,
                wise <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
 Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
 Homepage: https://biopython.org
@@ -58,7 +57,6 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-renderpm,
          python3-reportlab,
          w3c-sgml-lib
 Recommends: python-biopython-doc (= ${source:Version}),
@@ -72,7 +70,7 @@
           emboss,
           fasttree,
           mafft,
-          muscle,
+          muscle3,
           phylip,
           phyml,
           prank,
