## python-biopython 1.81+dfsg

=== debian/changelog ===
python-biopython (1.81+dfsg-1) unstable; urgency=medium

  * Migrate biopython 1.81 to unstable.
  * Merges fixes from python-biopython 1.80+dfsg-6.

 -- Étienne Mollier <emollier@debian.org>  Mon, 10 Jul 2023 22:50:52 +0200

python-biopython (1.81+dfsg-0+exp1) experimental; urgency=medium

  * New upstream version 1.81+dfsg
  * d/control: remove obsolete version constraint on dssp.
  * numpy-1.24.patch: remove: applied upstream.
  * muscle3.patch: fix typo in patch description.
  * remove-distutils-import.patch: add.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jul 2023 20:21:39 +0200

python-biopython (1.80+dfsg-6) unstable; urgency=medium

  * d/control: depend on python3-reportlab (>= 4.0.4-1~). (Closes: #1040776)

 -- Étienne Mollier <emollier@debian.org>  Mon, 10 Jul 2023 22:27:12 +0200
