=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-all-dev,
                python3-numpy,
                flex,
-               python3-reportlab <!nocheck>,
+               python3-reportlab (>= 4.0.4-1~) <!nocheck>,
                hevea,
                texlive-latex-base,
                texlive-latex-extra,
@@ -57,7 +57,7 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-reportlab,
+         python3-reportlab (>= 4.0.4-1~),
          w3c-sgml-lib
 Recommends: python-biopython-doc (= ${source:Version}),
             ncbi-blast+ (>= 2.10.1-3)
@@ -66,7 +66,7 @@
           clustalo,
           clustalw,
           dialign,
-          dssp (>= 4.0.0),
+          dssp,
           emboss,
           fasttree,
           mafft,
@@ -87,8 +87,7 @@
           samtools,
           t-coffee,
           wise
-Breaks: cnvkit (<< 0.9.7-1~),
-        ncbi-acc-download (<< 0.2.7-2~)
+Breaks: ncbi-acc-download (<< 0.2.7-2~)
 Description: Python3 library for bioinformatics
  The Biopython Project is an international association
  of developers of freely available Python tools for
