=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # avoid testing tools that are not packaged for Debian yet (or will never be packaged since they might be outdated)
 # This would not trigger a failure but bloats the build log with irrelevant noise
-EXCLUDENOTPACKAGED=MSAProbs_tool NACCESS_tool PopGen_GenePop PopGen_GenePop_EasyController XXmotif_tool PDB_ResidueDepth mmtf mmtf_online
+EXCLUDENOTPACKAGED=MSAProbs_tool NACCESS_tool PopGen_GenePop PopGen_GenePop_EasyController XXmotif_tool PDB_ResidueDepth mmtf mmtf_online GraphicsBitmaps
 
 # avoid amd64 only tools on other architectures
 ifeq ($(BUILDARCH),amd64)
@@ -62,7 +62,9 @@
 
 override_dh_auto_build:
 	dh_auto_build
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	cd Doc && make
+endif
 
 override_dh_auto_install:
 	dh_auto_install
@@ -99,6 +101,7 @@
 endif
 
 override_dh_installdocs-indep:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_installdocs -i
 	find debian -name __pycache__ -type d | xargs rm -rf
 	find debian -name example.fastq.gz
@@ -114,6 +117,7 @@
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.aux" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.lyx" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -type d -empty -delete
+endif
 
 override_dh_fixperms:
 	dh_fixperms
