## python-biopython 1.83+dfsg1

=== Doc/Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	rm -f biopdb_faq.log
 	rm -f biopdb_faq.out
 	rm -f Tutorial/*.aux
+	rm -rf _minted-Tutorial
 
 distclean-subdirs: $(subdirs)
 	( for f in $^ ; do $(MAKE) distclean -C $$f ; done )
