=== Doc/api/Makefile ===
--- 
+++ 
@@ -18,3 +18,8 @@
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
 %: Makefile
 	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
+
+clean:
+	-rm -f Bio*rst
+	-rm -rf _build/html
+	-rm -rf _build/doctrees
