=== debian/changelog ===
python-biopython (1.83+dfsg1-1) unstable; urgency=medium

  * New upstream pseudo-version 1.83+dfsg1.
    This is a minor version bump to include the new test artifact necessary
    to allow the test suite to pass on big endian architectures.  The nature
    of the change makes it unsuitable to represent using the regular d/patches
    series.  See upstream issue 4658[1] for further information.
    [1}: https://github.com/biopython/biopython/issues/4658
  * d/rules: skip test Tutorial on non-amd64.

 -- Étienne Mollier <emollier@debian.org>  Wed, 20 Mar 2024 21:10:02 +0100

python-biopython (1.83+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Exclude emboss from Build-Depends for 32bit architectures since
    emboss will be removed for these architectures (see #1062371)

  [ Étienne Mollier ]
  * skip-xmlio-tests.patch: new: skip test failures.
    This works around #1064147 so it is not a serious failure anymore.
    The problem being still latent, said bug is not closed for now.
  * d/t/run-unit-test: deploy newly needed test data.
  * d/control: reduce availability of test dependencies.
    Following the 64-bit time_t migration, and the removal of several
    Debian Med packages from the 32-bit archives, these items are not
    generally available anymore, and only checked on amd64 architecture.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Mar 2024 21:00:41 +0100

python-biopython (1.81+dfsg-3) unstable; urgency=medium

  * d/control: remove dependency on python3-unittest2. (Closes: #1058967)

 -- Étienne Mollier <emollier@debian.org>  Tue, 19 Dec 2023 15:06:46 +0100

python-biopython (1.81+dfsg-2) unstable; urgency=medium

  * python3.12.patch: new: fix ftbfs with python3.12.
    Thanks to Antonio (Closes: #1055708)
  * d/control: remove obsolete comment.
  * d/control: move to dh-sequence-python3.

 -- Étienne Mollier <emollier@debian.org>  Sat, 11 Nov 2023 11:16:46 +0100
