=== debian/control ===
--- 
+++ 
@@ -5,10 +5,8 @@
            Étienne Mollier <emollier@debian.org>
 Section: python
 Priority: optional
-# note: all build-dependencies marked <!nocheck>, should be tested against in
-# the full_suite autopkgtest as well.
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-numpy,
                flex,
@@ -19,16 +17,16 @@
                texlive-fonts-recommended,
                bwa <!nocheck>,
                clustalo <!nocheck>,
-               clustalw <!nocheck>,
+               clustalw [any-amd64] <!nocheck>,
                dialign <!nocheck>,
                dssp <!nocheck>,
-               emboss <!nocheck>,
+               emboss [!armel !armhf !i386 !hppa !m68k !powerpc !sh4]  <!nocheck>,
                fasttree <!nocheck>,
                mafft <!nocheck>,
                muscle3 [i386 amd64 x32] <!nocheck>,
                ncbi-blast+ <!nocheck>,
                phylip <!nocheck>,
-               phyml [any-amd64 any-i386] <!nocheck>,
+               phyml [any-amd64] <!nocheck>,
                prank <!nocheck>,
                probcons <!nocheck>,
                python3-networkx <!nocheck>,
@@ -37,13 +35,12 @@
                python3-mmtf <!nocheck>,
                python3-pil <!nocheck>,
                python3-rdflib <!nocheck>,
-               python3-psycopg2 <!nocheck>,
+               python3-psycopg2 [any-amd64] <!nocheck>,
                python3-pygments <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
-               python3-unittest2 <!nocheck>,
                raxml [any-amd64 any-i386] <!nocheck>,
-               samtools <!nocheck>,
+               samtools [any-amd64] <!nocheck>,
                t-coffee <!nocheck>,
                wise <!nocheck>
 Standards-Version: 4.6.2
