=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,14 @@
     EXCLUDEARCHamd64=
 else
     EXCLUDEARCHamd64=raxml_tool
+    # The tutorial test reads through the documentation, and checks that the
+    # documented commands and output are working and matching.  There is at
+    # least one output that assumes that the test runs on s390x, causing mostly
+    # undue regression, so skipping on that architecture, to avoid cluttering
+    # the documentation.
+    EXCLUDEARCHamd64+=Tutorial
+    # FIXME: biopython > 1.83+dfsg1 will skip the faulty item with much finer
+    # grain, so this test will be restorable at that point.
 endif
 
 # avoid tests requiring data base connections if no server is running while we are doing the build
