=== debian/watch ===
version=4

opts="\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s/b/~b/;s/(\d)(\d+)/$1.$2/,\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
repack,\
compression=xz" \
	https://github.com/biopython/biopython/tags \
	(?:.*?/)?biopython[v-]?(\d[\d.]*)\.tar\.gz debian uupdate
