## python-biopython 1.84+dfsg

=== debian/changelog ===
python-biopython (1.84+dfsg-4) unstable; urgency=medium

  * skip-scipy-in-codonalign.patch: comment about #1086108.
    Bug #1086108 may be related and the patch removed once resolved.
  * d/t/mini-ccd.cif: new: provide subset of data needed by the libcifpp.
  * d/copyright: document origin of mini-ccd.cif.
  * d/rules: configure libcifpp to use the mini-ccd.cif.
    By instructing the libcifpp to use a local data directory with the
    mini-ccd.cif providing the missing components.cif PDB/DSSP related
    tests depending on a working libcifpp are back in "fair enough"
    working conditions.  The original components.cif is more than 400M and
    changes constantly, making it problematic to maintain through Debian
    packages while at the same time keeping it useful for end users,
    Thanks to Maarten L. Hekkelman <maarten@hekkelman.com> (Closes: #1086156)
  * d/t/run-unit-test: also fix PDB/dssp for autopkgtest.

 -- Étienne Mollier <emollier@debian.org>  Wed, 30 Oct 2024 21:45:42 +0100

python-biopython (1.84+dfsg-3) unstable; urgency=medium

  * skip-scipy-in-codonalign.patch: also skip on mips64el.
    The symptom of scipy processing hanging up appeared already in
    riscv64, now on mips64el.
  * d/rules: skip test of BWA on mips64el.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Oct 2024 11:30:13 +0200

python-biopython (1.84+dfsg-2) unstable; urgency=medium

  * d/t/run-unit-test: disable PDB_binary_cif for s390x in autopkgtest too.

 -- Étienne Mollier <emollier@debian.org>  Tue, 24 Sep 2024 19:44:19 +0200

python-biopython (1.84+dfsg-1) unstable; urgency=medium

  * Migrate Biopython 1.84 from experimental to unstable.
  * d/salsa-ci.yml: disable build path variation in reprotest.
  * d/rules: normalize HOME; this stabilizes build reproducibility.
  * d/rules: skip PDB_bcif on s390x architecture.

 -- Étienne Mollier <emollier@debian.org>  Mon, 23 Sep 2024 19:04:17 +0200

python-biopython (1.84+dfsg-1~0exp1) experimental; urgency=medium

  * New upstream version 1.84+dfsg
  * d/watch: fix debian version mangling.
  * d/copyright: update copyright years.
  * fix-use-of-unversioned-python.patch: delete: hunk removed upstream.
  * reproduciblebuild.patch: delete: file disappeared upstream.
  * croak-on-muscle5.patch: refresh.
  * muscle3.patch: unfuzz.
  * seqxml-parser.patch: delete: issue fixed upstream.
  * skip-scipy-in-codonalign.patch: unfuzz.
  * d/rules: condensate dh_installdocs target to ease readability.
  * d/rules: cleanup irrelevant comments and more readable dh_auto_test.
  * d/t/run-unit-test: Tutorial.tex does not exist anymore.
  * d/t/run-unit-test: new PDB tests require compressed bcif files.
  * d/rules: replace distclean target by clean in Doc/.
  * d/control: documentation now depends on Sphinx and side modules.
  * d/rules: explicitly make html documentation.
  * d/copyright: do not advertise LGPL since it is not in use.
  * d/rules: cleanup documentation from embeding and privacy breaches.
  * d/control: documentation depends on libjs-sphinx and libjs-jquery.
  * d/python-biopython-doc.docs: install sphinx html artifacts.
  * d/python-biopython-doc.doc-base: update location of the Tutorial.
  * d/python-biopython-doc.examples: new: install examples.
  * d/python-biopython-doc.lintian-overrides: flag another empty test file.
  * fix-type-cast-i386.patch: new: fix PDB test failure on 32-bit.
  * d/TODO: build reproducibility needs fixing.

 -- Étienne Mollier <emollier@debian.org>  Mon, 16 Sep 2024 22:34:06 +0200

python-biopython (1.83+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to fix FTBFS with Python 3.13.
    Closes: #1081665
  * Remove constraints unnecessary since bullseye (oldstable):
    + python3-biopython: Drop versioned constraint on ncbi-blast+ (>= 2.10.1-3)
      in Recommends.
  * d/control: adjust build-deps to be more cross-build friendly.
  * Fix some of the DEP-3 patch metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 14 Sep 2024 13:51:11 +0200

python-biopython (1.83+dfsg1-4) unstable; urgency=medium

  * skip-scipy-in-codonalign.patch: new: skip scipy tests on riscv64.
    This patch is introduced to give some breath to Risc-V CI runners while
    the core of the problem is investigated. (Closes: #1079439)
  * d/rules: skip ncbi tools tests due to #1079439.
  * d/rules: update list of excluded tests due to missing packages.

 -- Étienne Mollier <emollier@debian.org>  Wed, 04 Sep 2024 21:44:05 +0200

python-biopython (1.83+dfsg1-3) unstable; urgency=medium

  * Replace skip-xmlio-tests.patch by seqxml-parser.patch.
    Instead of skipping the test, upstream introduced a change that fixed
    the XML parser for use with the newer version of expat. (Closes: #1064147)
  * d/control: declare compliance to standards version 4.7.0.
  * d/python3-biopython.lintian-overrides: update file name.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 May 2024 15:14:56 +0200

python-biopython (1.83+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Drop emboss from test dependencies on emboss due to #1069098.

 -- Andrius Merkys <merkys@debian.org>  Wed, 17 Apr 2024 07:32:28 -0400
