=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               python3-all-dev,
+               python3-all-dev:native,
+               libpython3-all-dev,
                python3-numpy,
                flex,
                python3-reportlab (>= 4.0.4-1~) <!nocheck>,
@@ -20,7 +21,7 @@
                clustalw [any-amd64] <!nocheck>,
                dialign <!nocheck>,
                dssp <!nocheck>,
-               emboss [!armel !armhf !i386 !hppa !m68k !powerpc !sh4]  <!nocheck>,
+               emboss [!armel !armhf !i386 !hppa !m68k !powerpc !s390x !sh4] <!nocheck>,
                fasttree <!nocheck>,
                mafft <!nocheck>,
                muscle3 [i386 amd64 x32] <!nocheck>,
@@ -30,6 +31,7 @@
                prank <!nocheck>,
                probcons <!nocheck>,
                python3-networkx <!nocheck>,
+               python3-numpydoc <!nodoc>,
                python3-mysqldb <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-mmtf <!nocheck>,
@@ -39,11 +41,13 @@
                python3-pygments <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                raxml [any-amd64 any-i386] <!nocheck>,
                samtools [any-amd64] <!nocheck>,
                t-coffee <!nocheck>,
                wise <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
 Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
 Homepage: https://biopython.org
@@ -57,7 +61,7 @@
          python3-reportlab (>= 4.0.4-1~),
          w3c-sgml-lib
 Recommends: python-biopython-doc (= ${source:Version}),
-            ncbi-blast+ (>= 2.10.1-3)
+            ncbi-blast+
 Suggests: python3-tk,
           bwa,
           clustalo,
@@ -103,7 +107,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         libjs-sphinxdoc,
+         libjs-jquery
 Recommends: python3-biopython (= ${source:Version})
 Description: Documentation for the Biopython library
  Documentation and examples about how to use the Biopython
