## python-biopython 1.85%2Bdfsg

=== debian/changelog ===
python-biopython (1.85+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Restore deleted line as it seems to break autopkgtests.

 -- Santiago Vila <sanvila@debian.org>  Fri, 11 Apr 2025 21:30:00 +0200

python-biopython (1.85+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix build with nocheck.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 11 Apr 2025 19:00:00 +0200

python-biopython (1.85+dfsg-2) unstable; urgency=medium

  * Skip the Tutorial test on s390x. Closes: #1095105.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 06 Feb 2025 15:44:29 +0100

python-biopython (1.85+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Étienne Mollier ]
  * d/t/mini-ccd.cif: include definition of SO4 molecule.
    The definition originates from PDB's components.cif as of 2024-10-30.
    This resolves the noisy warning when running test_PDB_DSSP.

  [ Michael R. Crusoe ]
  * New upstream version
  * Refreshed patches.
  * Added python3-igraph as a recommend package and test dependency for
    use with Bio.Phylo.
  * d/rules: resume running the Tutorial tests everywhere.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Jan 2025 17:02:52 +0100
